import React from 'react';
import ReactDOM from 'react-dom';

import Selectbox from './Selectbox.js';

const OPTIONS = {
    day: 'День',
    week: 'Неделя',
    month: 'Месяц',
    kak: 'Полный период детализации',
};

class Test extends React.PureComponent
{
    state = {
        value: [ 'day' ],
        value2: 'day',
    }

    onChange = (v) =>
    {
        this.setState({ value: v });
    }

    onChange2 = (v) =>
    {
        this.setState({ value2: v });
    }

    render()
    {
        return <div style={{padding: '20px', width: '300px', background: '#e0e8ff'}}>
            <Selectbox
                source={OPTIONS}
                allowClear={true}
                multiple={true}
                placeholder="Выберите значение"
                suggestionMatch={true}
                value={this.state.value}
                style={{marginBottom: '20px'}}
                onChange={this.onChange}
            />
            <Selectbox
                source={OPTIONS}
                allowClear={true}
                multiple={true}
                disabled={true}
                suggestionMatch={true}
                value={this.state.value}
                style={{marginBottom: '20px'}}
                onChange={this.onChange}
            />
            <Selectbox
                source={OPTIONS}
                allowClear={true}
                multiple={false}
                suggestionMatch={true}
                value={this.state.value2}
                style={{marginBottom: '20px'}}
                onChange={this.onChange2}
            />
            <Selectbox
                source={OPTIONS}
                placeholder="Выберите значение"
                allowClear={false}
                multiple={false}
                suggestionMatch={true}
                value={this.state.value2}
                onChange={this.onChange2}
            />
        </div>;
    }
}

ReactDOM.render(
    <Test />, document.getElementById('app')
);
